<div class='login__container'>

  <div>
    <h2>Login</h2>
  </div>

  <form class='login__form' [formGroup]='loginForm' (ngSubmit)='onSubmit()'>

    <mat-form-field class='login__full-width' appearance='fill'>
      <mat-label>Username</mat-label>
      <input matInput placeholder='Enter your username' formControlName='username' required>
    </mat-form-field>

    <mat-form-field class='login__full-width' appearance='fill'>
      <mat-label>Password</mat-label>
      <input type='password' matInput placeholder='Enter your password' formControlName='password' required>
    </mat-form-field>

    <button
      mat-raised-button
      class='login__btn'
      color='primary'>
      Login</button>
    <a mat-raised-button color="primary" routerLink='/register'>Sign Up</a>
  </form>

</div>
